import { EventItem, AbiItem } from './types';
export interface BuildResult {
    result: string;
    demo: string;
}
export interface IContractSdkBuilder {
    setName(name: string): IContractSdkBuilder;
    addEvent(e: EventItem): IContractSdkBuilder;
    addEvents(e: EventItem[]): IContractSdkBuilder;
    addMethod(m: AbiItem): IContractSdkBuilder;
    addMethods(m: AbiItem[]): IContractSdkBuilder;
    build(): BuildResult;
}
export declare class ContractSdkBuilder implements IContractSdkBuilder {
    private _name;
    private _events;
    private _methods;
    constructor();
    get name(): string;
    get events(): EventItem[];
    get methods(): AbiItem[];
    get abi(): string;
    setName(name: string): IContractSdkBuilder;
    addEvent(e: EventItem): IContractSdkBuilder;
    addEvents(e: EventItem[]): IContractSdkBuilder;
    addMethod(m: AbiItem): IContractSdkBuilder;
    addMethods(m: AbiItem[]): IContractSdkBuilder;
    buildMethod(m: AbiItem, payable: boolean): string;
    buildDemo(): string;
    build(): BuildResult;
}
export declare const createContractSdkBuilder: () => IContractSdkBuilder;
